# Uses of Enum Class
java.security.KeyRep.Type

Packages that use KeyRep.Type
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of KeyRep.Type in java.security

Subclasses with type arguments of type KeyRep.Type in java.security
Modifier and Type
Class
Description
`static enum`
`KeyRep.Type`
Key type.
Methods in java.security that return KeyRep.Type
Modifier and Type
Method
Description
`static KeyRep.Type`
KeyRep.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KeyRep.Type[]`
KeyRep.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in java.security with parameters of type KeyRep.Type
Modifier
Constructor
Description
``
`KeyRep(KeyRep.Type type, String algorithm, String format, byte[] encoded)`
Construct the alternate Key class.